Package: org.gradle.language

## [Java] Interface PreprocessingTool

- org.gradle.nativeplatform.Tool

- All Superinterfaces:
    Tool

  A tool that permits configuration of the C preprocessor.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `define(String name)` Defines a named preprocessor macros to use when compiling this binary.
    `void` | `define(String name, String definition)` Defines a named preprocessor macro with a value, which will be used when compiling this binary.
    `Map<String, String>` | `getMacros()` The set of preprocessor macros to define when compiling this binary.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Tool` | `args, getArgs`

- - ### Method Detail

    - #### public void define(String name)

      Defines a named preprocessor macros to use when compiling this binary. The macro will be supplied to the compiler as '-D name'.

    - #### public void define(String name, String definition)

      Defines a named preprocessor macro with a value, which will be used when compiling this binary. The macro will be supplied to the compiler as '-D name=definition'.

    - #### public Map<String, String> getMacros()

      The set of preprocessor macros to define when compiling this binary.